<?php 
/**
 * Dibujos de franjas - dibujo_franjas.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2012 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2012-02-24
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Dibujos de franjas (Resultado). 
  Exámenes. PHP. Bartolomé Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color" />
</head>
<body>

<h1>Dibujos de franjas (Resultado)</h1>
<?php

function recoge($var)
{ 
    $tmp = (isset($_REQUEST[$var])) ? strip_tags(trim(htmlspecialchars($_REQUEST[$var]))) : '';
    if (get_magic_quotes_gpc()) {
        $tmp = stripslashes($tmp);
    }
    return $tmp;
}

$tamano        = recoge('tamano');
$tamanoMinimo  = 5;
$tamanoMaximo  = 40;
$tamanoOk      = FALSE;
$franjas       = recoge('franjas');
$franjasMinimo = 2;
$franjasMaximo = 5;
$franjasOk     = FALSE;

if ($tamano=="") {
    print "<p class=\"aviso\">No ha escrito el tamaño.</p>\n";
} elseif (!ctype_digit($tamano)) { 
    print "<p class=\"aviso\">No ha escrito el tamaño "
        ."como número entero positivo.</p>\n";
} elseif ($tamano<$tamanoMinimo || $tamano>$tamanoMaximo) {
    print "<p class=\"aviso\">El tamaño debe estar entre $tamanoMinimo y $tamanoMaximo.</p>\n";
} else {
	$tamanoOk = TRUE;
}

if ($franjas=="") {
    print "<p class=\"aviso\">No ha escrito el número de franjas.</p>\n";
} elseif (!ctype_digit($franjas)) { 
    print "<p class=\"aviso\">No ha escrito el número de franjas "
        ."como número entero positivo.</p>\n";
} elseif ($franjas<$franjasMinimo || $franjas>$franjasMaximo) {
    print "<p class=\"aviso\">El número de franjas debe estar entre $franjasMinimo y $franjasMaximo.</p>\n";
} else {
	$franjasOk = TRUE;
}

if ($tamanoOk && $franjasOk) {
    print "<p>Tamaño: $tamano</p>\n";
    $espacio = floor($tamano/$franjas);
    print "<p>Franjas: $franjas</p>\n";
    print "<p>Número de espacios en cada franja: $espacio</p>\n";
    $total = $franjas*$espacio+$franjas+1;
    print "<p>Ancho total: $total</p>\n";
    print "<pre>";
    print "Franjas verticales:\n";
    for ($j = 1; $j<=$franjas*$espacio; $j++) {
        print "*";
        for ($k = 1; $k<=$franjas; $k++) {
            for ($i = 1; $i<=$espacio; $i++) {
                print " ";
            }
            print "*";
        }
        print "\n";
    }
    print "</pre>\n";
    print "<pre>";
    print "Franjas horizontales:\n";
    for ($j = 1; $j<=$franjas; $j++) {
        for ($k = 1; $k<=$total; $k++) {
            print "*";
        }
        print "\n";
        for ($k = 1; $k<=$espacio; $k++) {
            print "\n";
        }
    }
    for ($k = 1; $k<=$total; $k++) {
        print "*";
        }
    print "\n";
    print "</pre>\n";
}

print "<p><a href=\"dibujos_franjas.html\">Volver al formulario.</a></p>\n";

?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 24 de febrero de 2012
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
